variable "bucket_name" {
  description = "Backup bucket name"
  type        = string
}

variable "namespace" {
  description = "Namespace"
  type        = string
}

variable "scaleway_project_id" {
  description = "Scaleway project id"
  sensitive   = true
  type        = string
}

variable "scaleway_organization_id" {
  description = "Scaleway organization id"
  sensitive   = true
  type        = string
}

variable "scaleway_region" {
  description = "Scaleway region"
  default     = "fr-par"
  type        = string
}

variable "scaleway_zone" {
  default = "fr-par-2"
  type    = string
}

variable "cron_schedule" {
  description = "Cronjob schedule for data backups"
  default     = "* 2 * * *"
  type        = string
}

variable "access_key" {
  description = "Access key"
  sensitive   = true
  type        = string
}

variable "secret_key" {
  description = "Secret key"
  sensitive   = true
  type        = string
}

variable "app_name" {
  description = "Name of the app to backup"
  type        = string
}

variable "source_folder" {
  description = "Name of host folder"
  type        = string
}

variable "target_folder" {
  description = "Backup source location"
  type        = string
}

variable "retention_days" {
  description = "backup retention days"
  type        = string
}

variable "tag" {
  description = "Tag to add to the backup"
  type        = string
  default     = "1.61.1"
}
